Subject: Re: bug#20272: Support reproducible builds

From: Andy Wingo <[email-masked]>
Date: Thu, 23 Jun 2016 21:22:37 +0200

On Mon 20 Jun 2016 17:48, Andy Wingo <[email-masked]> writes:

>>> Currently, we include both the session-id and a global gensym counter in
>>> the names of freshly generated marks and labels in psyntax.scm.
>>> Instead, let them include the module name and a per-module counter.
>>
>> I've attached a preliminary implementation of this idea, but I'm not yet
>> confident in its correctness.
>
> Looks pretty good to me but I think we should put it off until after
> 2.0.12, just so we can get the release out the door.  WDYT?

On the other hand, maybe including it in 2.0.12 is the right thing;
dunno.  What do you think?

Andy